//
//  RSSFeed.h
//  UsenetEngine
//
//  Created by Ger Teunis on 5/20/10.
//  Copyright (c) 2013 VortexApps. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class RSSFeedItem;

@interface RSSFeed : NSObject <NSCoding> {
	
	NSString *name;
	NSString *_feedURL;
    NSMutableArray *_feedItems;
    
    NSDate *lastCheckedDate;
    NSNumber *lastUpdateFailed;
}

@property (retain, atomic) NSString *name;
@property (retain, atomic) NSDate *lastCheckedDate;
@property (retain, atomic) NSNumber *lastUpdateFailed;

-(NSMutableArray*)feedItems;
-(void)setFeedItems:(NSMutableArray *)feedItems;
-(NSString*)feedURL;
-(void)setFeedURL:(NSString *)feedURL;
-(bool)update;
-(void)cleanupFeedItems;
/* -(void)cleanupDownloadedFeedWatcherItems:(NSArray*)items; */
-(void)mergeDownloadedFeedItems:(NSMutableArray*)downloadedFeedItems;

@end
